Bug 34419 - Kwin crashes screensaver exits
Kwin crashes screensaver exits
Status: RESOLVED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965
7.10
x86-64 (AMD64) Linux (All)
: medium major
Assigned To: Kristian Høgsberg
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-17 17:25 UTC by Isaac Gerg
Modified: 2011-03-29 07:46 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Isaac Gerg 2011-02-17 17:25:26 UTC
I am using KDE 4.6 with Kubuntu 10.10.  When the screensaver exists, Kwin seg faults in the intel driver code.  The crash is reproducible as long as the screen saver has been on "for over a few minutes" meaning that if the screen saver comes on right away and then you move the mouse, the crash doesnt happen.  But, if you wait something like 10 minutes and move the mouse, the crash will occur.

Details provided below include the debug symbols.  If you need any other information, please contact me.  Thank you.
--

Using openGL for my composting type. Using xorg 1.7.5.

Here is the debug dump....

Application: KWin (kwin), signal: Segmentation fault
[Current thread is 1 (Thread 0xb2932720 (LWP 1634))]

Thread 3 (Thread 0xae0b2b70 (LWP 1661)):
#0 0xb38c4e36 in clock_gettime () from /lib/librt.so.1
#1 0xb643350b in do_gettime () at tools/qelapsedtimer_unix.cpp:105
#2 qt_gettime () at tools/qelapsedtimer_unix.cpp:119
#3 0xb650a6e5 in QTimerInfoList::updateCurrentTime (this=0x97e9d70) at kernel/qeventdispatcher_unix.cpp:339
#4 0xb650a72a in QTimerInfoList::timerWait (this=0x97e9d70, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5 0xb650bcab in QEventDispatcherUNIX::processEvents (this=0x9866a48, flags=...) at kernel/qeventdispatcher_unix.cpp:906
#6 0xb64d8609 in QEventLoop::processEvents (this=0xae0b2280, flags=) at kernel/qeventloop.cpp:149
#7 0xb64d8a8a in QEventLoop::exec (this=0xae0b2280, flags=...) at kernel/qeventloop.cpp:201
#8 0xb63d4b7e in QThread::exec (this=0x97c3918) at thread/qthread.cpp:490
#9 0xb64b735b in QInotifyFileSystemWatcherEngine::run (this=0x97c3918) at io/qfilesystemwatcher_inotify.cpp:248
#10 0xb63d7df9 in QThreadPrivate::start (arg=0x97c3918) at thread/qthread_unix.cpp:266
#11 0xb3958cc9 in start_thread () from /lib/libpthread.so.0
#12 0xb75ce69e in clone () from /lib/libc.so.6

Thread 2 (Thread 0xad6ffb70 (LWP 1662)):
#0 0xb779d424 in __kernel_vsyscall ()
#1 0xb395d4dc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2 0xb75dbd9d in pthread_cond_wait () from /lib/libc.so.6
#3 0xb6d02877 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0xb6e011a0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#4 0xb6d028c1 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0xb6e011a0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#5 0xb3958cc9 in start_thread () from /lib/libpthread.so.0
#6 0xb75ce69e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb2932720 (LWP 1634)):
[KCrash Handler]
#7 0xafa6291d in ?? () from /usr/lib/dri/i915_dri.so
#8 0xafa75844 in ?? () from /usr/lib/dri/i915_dri.so
#9 0xafb581a9 in ?? () from /usr/lib/dri/i915_dri.so
#10 0xafb4c193 in ?? () from /usr/lib/dri/i915_dri.so
#11 0xafa75d0d in ?? () from /usr/lib/dri/i915_dri.so
#12 0xafb4cfe6 in ?? () from /usr/lib/dri/i915_dri.so
#13 0xafb4d3b9 in ?? () from /usr/lib/dri/i915_dri.so
#14 0xafb45754 in ?? () from /usr/lib/dri/i915_dri.so
#15 0xafb41377 in ?? () from /usr/lib/dri/i915_dri.so
#16 0xafb42f50 in ?? () from /usr/lib/dri/i915_dri.so
#17 0xafa97b21 in ?? () from /usr/lib/dri/i915_dri.so
#18 0xb6b03502 in KWin::PaintClipper::Iterator::~Iterator() () from /usr/lib/libkwineffects.so.1
#19 0xb6b0d558 in KWin::renderGLGeometry(QRegion const&, int, float const*, float const*, float const*, int, int) () from /usr/lib/libkwineffects.so.1
#20 0xb774da96 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#21 0xb7755bd9 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#22 0xb773f916 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#23 0xb7762143 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#24 0xaf3537d1 in ?? () from /usr/lib/kde4/kwin4_effect_builtins.so
#25 0xb77621c7 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#26 0xb6b036cd in KWin::Effect::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib/libkwineffects.so.1
#27 0xb77621c7 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#28 0xb6b036cd in KWin::Effect::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib/libkwineffects.so.1
#29 0xb77621c7 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#30 0xb6b036cd in KWin::Effect::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib/libkwineffects.so.1
#31 0xb77621c7 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#32 0xb6b036cd in KWin::Effect::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib/libkwineffects.so.1
#33 0xb77621c7 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#34 0xb6b036cd in KWin::Effect::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib/libkwineffects.so.1
#35 0xb77621c7 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#36 0xb6b036cd in KWin::Effect::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib/libkwineffects.so.1
#37 0xb77621c7 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#38 0xb6b036cd in KWin::Effect::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib/libkwineffects.so.1
#39 0xb77621c7 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#40 0xb6b036cd in KWin::Effect::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib/libkwineffects.so.1
#41 0xb77621c7 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#42 0xb6b036cd in KWin::Effect::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib/libkwineffects.so.1
#43 0xb77621c7 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#44 0xb773e52d in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#45 0xb7762243 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#46 0xb6b037cd in KWin::Effect::paintWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib/libkwineffects.so.1
#47 0xb77622c7 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#48 0xaf336159 in ?? () from /usr/lib/kde4/kwin4_effect_builtins.so
#49 0xb77622c7 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#50 0xaf35fa8c in ?? () from /usr/lib/kde4/kwin4_effect_builtins.so
#51 0xb77622c7 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#52 0xaf323fa8 in ?? () from /usr/lib/kde4/kwin4_effect_builtins.so
#53 0xb77622c7 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#54 0xaf331b71 in ?? () from /usr/lib/kde4/kwin4_effect_builtins.so
#55 0xb77622c7 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#56 0xaf324afe in ?? () from /usr/lib/kde4/kwin4_effect_builtins.so
#57 0xb77622c7 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#58 0xaf31ca7a in ?? () from /usr/lib/kde4/kwin4_effect_builtins.so
#59 0xb77622c7 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#60 0xaf37fd0a in ?? () from /usr/lib/kde4/kwin4_effect_builtins.so
#61 0xb77622c7 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#62 0xaf33344c in ?? () from /usr/lib/kde4/kwin4_effect_builtins.so
#63 0xb77622c7 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#64 0xaf3a2642 in ?? () from /usr/lib/kde4/kwin4_effect_builtins.so
#65 0xb77622c7 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#66 0xb773fb2c in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#67 0xb7741b70 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#68 0xb773e5a9 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#69 0xb776233c in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#70 0xaf3533cf in ?? () from /usr/lib/kde4/kwin4_effect_builtins.so
#71 0xb77623c0 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#72 0xaf33606f in ?? () from /usr/lib/kde4/kwin4_effect_builtins.so
#73 0xb77623c0 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#74 0xb6b03846 in KWin::Effect::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib/libkwineffects.so.1
#75 0xb77623c0 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#76 0xb6b03846 in KWin::Effect::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib/libkwineffects.so.1
#77 0xb77623c0 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#78 0xb6b03846 in KWin::Effect::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib/libkwineffects.so.1
#79 0xb77623c0 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#80 0xb6b03846 in KWin::Effect::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib/libkwineffects.so.1
#81 0xb77623c0 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#82 0xaf3185f2 in ?? () from /usr/lib/kde4/kwin4_effect_builtins.so
#83 0xb77623c0 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#84 0xaf381643 in ?? () from /usr/lib/kde4/kwin4_effect_builtins.so
#85 0xb77623c0 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#86 0xb6b03846 in KWin::Effect::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib/libkwineffects.so.1
#87 0xb77623c0 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#88 0xb6b03846 in KWin::Effect::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib/libkwineffects.so.1
#89 0xb77623c0 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#90 0xb773fe04 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#91 0xb77567aa in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#92 0xb773ab57 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#93 0xb64ec504 in QObject::event (this=0xbfde59d4, e=0x1015f) at kernel/qobject.cpp:1183
#94 0xb59d8fdc in QApplicationPrivate::notify_helper (this=0x9126af0, receiver=0x9202ec0, e=0xbfde87b0) at kernel/qapplication.cpp:4396
#95 0xb59df04e in QApplication::notify (this=0xbfde8ad4, receiver=0x9202ec0, e=0xbfde87b0) at kernel/qapplication.cpp:3798
#96 0xb730ef7a in KApplication::notify (this=0xbfde8ad4, receiver=0x9202ec0, event=0xbfde87b0) at ../../kdeui/kernel/kapplication.cpp:311
#97 0xb76c3d0f in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#98 0xb64d9b3b in QCoreApplication::notifyInternal (this=0xbfde8ad4, receiver=0x9202ec0, event=0xbfde87b0) at kernel/qcoreapplication.cpp:732
#99 0xb650bad6 in sendEvent (this=0x9127278) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#100 QTimerInfoList::activateTimers (this=0x9127278) at kernel/qeventdispatcher_unix.cpp:602
#101 0xb650bc37 in QEventDispatcherUNIX::processEvents (this=0x9108ba0, flags=...) at kernel/qeventdispatcher_unix.cpp:923
#102 0xb5a9c0d2 in QEventDispatcherX11::processEvents (this=0x9108ba0, flags=...) at kernel/qeventdispatcher_x11.cpp:152
#103 0xb64d8609 in QEventLoop::processEvents (this=0xbfde8a04, flags=) at kernel/qeventloop.cpp:149
#104 0xb64d8a8a in QEventLoop::exec (this=0xbfde8a04, flags=...) at kernel/qeventloop.cpp:201
#105 0xb64dd00f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#106 0xb59d7e07 in QApplication::exec () at kernel/qapplication.cpp:3672
#107 0xb76c6d00 in kdemain () from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#108 0x080485ab in _start ()

See post here from myself and KDE team for more information.
http://forum.kde.org/viewtopic.php?f=111&t=93253&p=189493#p189493
Comment 1 Isaac Gerg 2011-02-17 17:27:30 UTC
uname -a gives me:
Linux isaac-Inspiron-545s 2.6.35-25-generic-pae #44-Ubuntu SMP Fri Jan 21 19:01:46 UTC 2011 i686 GNU/Linux
Comment 2 Eric Anholt 2011-03-11 10:12:49 UTC
this may be fixed in recent Mesa, but I don't know without a backtrace with debug symbols.
Comment 3 Isaac Gerg 2011-03-11 10:14:58 UTC
Id be happy to help if you can tell me what to do.

Isaac

(In reply to comment #2)
> this may be fixed in recent Mesa, but I don't know without a backtrace with
> debug symbols.
Comment 4 Attilio Scotolati 2011-03-13 08:44:18 UTC
I have made a more complete stacktrace with my system: 
Acer 4810tg, integrated intel 4500mhd, OpenSuse 11.4 with KDE 4.6.00, Linux 2.6.38-rc6-17-desktop x86_64, mesa 7.10-3.3.

Stacktrace follows:

Application: KWin (kwin), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f5abfd5e760 (LWP 9847))]

Thread 2 (Thread 0x7f5aa659b700 (LWP 9852)):
#0  0x00007f5abb63638c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f5abe432044 in ?? () from /usr/lib64/libQtScript.so.4
#2  0x00007f5abe432079 in ?? () from /usr/lib64/libQtScript.so.4
#3  0x00007f5abb631a3f in start_thread () from /lib64/libpthread.so.0
#4  0x00007f5abf5c467d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f5abfd5e760 (LWP 9847)):
[KCrash Handler]
#6  intel_region_buffer (intel=0x731170, region=0x0, flag=2) at intel_regions.c:514
#7  0x00007f5aa77ff2d4 in intelClearWithBlit (ctx=0x731170, mask=2) at intel_blit.c:262
#8  0x00007f5aa78017da in intelClear (ctx=0x731170, mask=2) at intel_clear.c:177
#9  0x00007f5abf929625 in KWin::SceneOpenGL::paintBackground (this=<value optimized out>, region=<value optimized out>) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/scene_opengl.cpp:921
#10 0x00007f5abf920d96 in KWin::Scene::paintGenericScreen (this=0x71ca20, orig_mask=32) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/scene.cpp:188
#11 0x00007f5abf91deea in KWin::Scene::finalPaintScreen (this=0x71ca20, mask=32, region=<value optimized out>, data=<value optimized out>) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/scene.cpp:178
#12 0x00007f5abf93b38f in KWin::EffectsHandlerImpl::paintScreen (this=<value optimized out>, mask=32, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/effects.cpp:173
#13 0x00007f5aa6cf0d7b in KWin::StartupFeedbackEffect::paintScreen (this=0x1e6b170, mask=32, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/effects/startupfeedback/startupfeedback.cpp:166
#14 0x00007f5abf93b41c in KWin::EffectsHandlerImpl::paintScreen (this=0x18561d0, mask=32, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/effects.cpp:169
#15 0x00007f5abda20f7f in KWin::Effect::paintScreen (this=<value optimized out>, mask=32, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/lib/kwineffects.cpp:227
#16 0x00007f5abf93b41c in KWin::EffectsHandlerImpl::paintScreen (this=0x18561d0, mask=32, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/effects.cpp:169
#17 0x00007f5aa6c97f3f in KWin::LogoutEffect::paintScreen (this=0x1d99520, mask=32, region=..., data=<value optimized out>) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/effects/logout/logout.cpp:207
#18 0x00007f5abf93b41c in KWin::EffectsHandlerImpl::paintScreen (this=0x18561d0, mask=32, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/effects.cpp:169
#19 0x00007f5aa6cb2b72 in KWin::ShadowEffect::paintScreen (this=0x1ca9820, mask=32, region=..., data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/effects/shadow/shadow.cpp:189
#20 0x00007f5abf93b41c in KWin::EffectsHandlerImpl::paintScreen (this=0x18561d0, mask=32, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/effects.cpp:169
#21 0x00007f5aa6cc54fe in KWin::BlurEffect::paintScreen (this=<value optimized out>, mask=32, region=..., data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/effects/blur/blur.cpp:230
#22 0x00007f5abf93b41c in KWin::EffectsHandlerImpl::paintScreen (this=0x18561d0, mask=0, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/effects.cpp:169
#23 0x00007f5aa6c9c9c2 in KWin::PresentWindowsEffect::paintScreen (this=0x18949b0, mask=0, region=..., data=<value optimized out>) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/effects/presentwindows/presentwindows.cpp:205
#24 0x00007f5abf93b41c in KWin::EffectsHandlerImpl::paintScreen (this=0x18561d0, mask=0, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/effects.cpp:169
#25 0x00007f5abda20f7f in KWin::Effect::paintScreen (this=<value optimized out>, mask=0, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/lib/kwineffects.cpp:227
#26 0x00007f5abf93b41c in KWin::EffectsHandlerImpl::paintScreen (this=0x18561d0, mask=0, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/effects.cpp:169
#27 0x00007f5abda20f7f in KWin::Effect::paintScreen (this=<value optimized out>, mask=0, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/lib/kwineffects.cpp:227
#28 0x00007f5abf93b41c in KWin::EffectsHandlerImpl::paintScreen (this=0x18561d0, mask=0, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/effects.cpp:169
#29 0x00007f5abda20f7f in KWin::Effect::paintScreen (this=<value optimized out>, mask=0, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/lib/kwineffects.cpp:227
#30 0x00007f5abf93b41c in KWin::EffectsHandlerImpl::paintScreen (this=0x18561d0, mask=0, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/effects.cpp:169
#31 0x00007f5abda20f7f in KWin::Effect::paintScreen (this=<value optimized out>, mask=0, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/lib/kwineffects.cpp:227
#32 0x00007f5abf93b41c in KWin::EffectsHandlerImpl::paintScreen (this=0x18561d0, mask=0, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/effects.cpp:169
#33 0x00007f5aa6c832a3 in KWin::DesktopGridEffect::paintScreen (this=<value optimized out>, mask=0, region=..., data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/effects/desktopgrid/desktopgrid.cpp:155
#34 0x00007f5abf93b41c in KWin::EffectsHandlerImpl::paintScreen (this=0x18561d0, mask=0, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/effects.cpp:169
#35 0x00007f5aa6cb934d in KWin::SlideEffect::paintScreen (this=<value optimized out>, mask=0, region=..., data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/effects/slide/slide.cpp:86
#36 0x00007f5abf93b41c in KWin::EffectsHandlerImpl::paintScreen (this=0x18561d0, mask=0, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/effects.cpp:169
#37 0x00007f5aa6c7be42 in KWin::BoxSwitchEffect::paintScreen (this=0x1dc3070, mask=0, region=..., data=<value optimized out>) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/effects/boxswitch/boxswitch.cpp:143
#38 0x00007f5abf93b41c in KWin::EffectsHandlerImpl::paintScreen (this=0x18561d0, mask=0, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/effects.cpp:169
#39 0x00007f5abda20f7f in KWin::Effect::paintScreen (this=<value optimized out>, mask=0, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/lib/kwineffects.cpp:227
#40 0x00007f5abf93b41c in KWin::EffectsHandlerImpl::paintScreen (this=0x18561d0, mask=0, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/effects.cpp:169
#41 0x00007f5abda20f7f in KWin::Effect::paintScreen (this=<value optimized out>, mask=0, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/lib/kwineffects.cpp:227
#42 0x00007f5abf93b41c in KWin::EffectsHandlerImpl::paintScreen (this=0x18561d0, mask=0, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/effects.cpp:169
#43 0x00007f5abda20f7f in KWin::Effect::paintScreen (this=<value optimized out>, mask=0, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/lib/kwineffects.cpp:227
#44 0x00007f5abf93b41c in KWin::EffectsHandlerImpl::paintScreen (this=0x18561d0, mask=0, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/effects.cpp:169
#45 0x00007f5abda20f7f in KWin::Effect::paintScreen (this=<value optimized out>, mask=0, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/lib/kwineffects.cpp:227
#46 0x00007f5abf93b41c in KWin::EffectsHandlerImpl::paintScreen (this=0x18561d0, mask=0, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/effects.cpp:169
#47 0x00007f5abda20f7f in KWin::Effect::paintScreen (this=<value optimized out>, mask=0, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/lib/kwineffects.cpp:227
#48 0x00007f5abf93b41c in KWin::EffectsHandlerImpl::paintScreen (this=0x18561d0, mask=0, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/effects.cpp:169
#49 0x00007f5abda20f7f in KWin::Effect::paintScreen (this=<value optimized out>, mask=0, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/lib/kwineffects.cpp:227
#50 0x00007f5abf93b41c in KWin::EffectsHandlerImpl::paintScreen (this=0x18561d0, mask=0, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/effects.cpp:169
#51 0x00007f5abda20f7f in KWin::Effect::paintScreen (this=<value optimized out>, mask=0, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/lib/kwineffects.cpp:227
#52 0x00007f5abf93b41c in KWin::EffectsHandlerImpl::paintScreen (this=0x18561d0, mask=0, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/effects.cpp:169
#53 0x00007f5aa6cc2b7f in KWin::ZoomEffect::paintScreen (this=0x18c75f0, mask=0, region=..., data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/effects/zoom/zoom.cpp:341
#54 0x00007f5abf93b41c in KWin::EffectsHandlerImpl::paintScreen (this=0x18561d0, mask=0, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/effects.cpp:169
#55 0x00007f5abf91efa5 in KWin::Scene::paintScreen (this=0x71ca20, mask=0x7fffa2c175ac, region=0x7fffa2c176a0) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/scene.cpp:137
#56 0x00007f5abf9334e9 in KWin::SceneOpenGL::paint (this=0x71ca20, damage=..., toplevels=<value optimized out>) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/scene_opengl.cpp:772
#57 0x00007f5abf91b6c7 in KWin::Workspace::performCompositing (this=0x7f5aa0350df0) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/composite.cpp:448
#58 0x00007f5abb9bd799 in QObject::event(QEvent*) () from /usr/lib64/libQtCore.so.4
#59 0x00007f5abab58d14 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#60 0x00007f5abab6122a in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#61 0x00007f5abf03c9e6 in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#62 0x00007f5abb9a9bfc in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#63 0x00007f5abb9d74d8 in ?? () from /usr/lib64/libQtCore.so.4
#64 0x00007f5abb9d7be0 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#65 0x00007f5ababfebac in ?? () from /usr/lib64/libQtGui.so.4
#66 0x00007f5abb9a9052 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#67 0x00007f5abb9a9265 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#68 0x00007f5abb9ad6ab in QCoreApplication::exec() () from /usr/lib64/libQtCore.so.4
#69 0x00007f5abf8b9c8a in kdemain (argc=<value optimized out>, argv=0x7fffa2c18420) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/main.cpp:542
#70 0x00007f5abf50fbfd in __libc_start_main () from /lib64/libc.so.6
#71 0x0000000000400699 in _start () at ../sysdeps/x86_64/elf/start.S:113
Comment 5 Johannes Engel 2011-03-15 15:49:07 UTC
Still happens for me on x86_64 with Mesa 7.10 as of openSUSE 11.4. Will deliver a backtrace later if needed.
Comment 6 Chris Wilson 2011-03-29 07:46:02 UTC
The immediate crash should have been fixed by:

commit 7bae1c3d85344b7229e0124d1f54376392682430
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Mar 29 15:40:21 2011 +0100

    intel: Protect intel_clear_with_blit from failed buffer allocations
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=34419
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

However, we still have the underlying issue that the buffer should not have been NULL...